LN(1)

NAVN
ln - make links between files

OVERSIKT
ln [VALG]... [-T] MÅL LENKENAVN
ln [VALG]... MÅL
ln [VALG]... MÅL... MAPPE
ln [VALG]... -t MAPPE MÅL...

BESKRIVELSE

Med 1. metode lages det en lenke til MÅLet med navnet LENKENAVN. Med 2. metode lages det en lenke til MÅLet i gjeldende mappe. Med 3. og 4. metode lages lenker til hvert MÅL i MAPPa. Programmet lager harde lenker som standard, og symbolske lenker med --symbolic. Målfiler (navn på nye lenker) skal ikke eksistere allerede. Hvert MÅL må eksistere for harde lenker. Symbolske lenker kan inneholde vilkårlig tekst. Hvis sistnevnte blir en gyldig lenke senere, tolkes en relativ lenke ut i fra foreldermappa.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

--backup[=CONTROL]
    Lag en sikkerhetskopi av hver målfil.

-b  Likner --backup, men kan ikke brukes med argumenter.

-d, -F, --directory
    allow the superuser to attempt to hard link directories, if supported by the system

-f, --force
    Fjern eksisterende målfiler.

-i, --interactive
    Spør brukeren om målfiler skal fjernes.

-L, --logical
    Følg symbolske lenker i MÅLfiler.

-n, --no-dereference
    Behandle LENKENAVN som en normal fil hvis den er symbolsk og peker på en mappe.

-P, --physical
    Lag harde lenker som peker direkte til symbolske lenker.

-r, --relative
    with -s, create links relative to link location

-s, --symbolic
    Lag symbolske lenker i stedet for harde lenker.

-S, --suffix=ETTERN
    Overstyr standard filetternavn på sikkerhetskopier.

-t, --target-directory=MAPPE
    specify the DIRECTORY in which to create the links

-T, --no-target-directory
    Behandle alltid LINK_NAME som en normal fil.

-v, --verbose
    Skriv ut navn på hver lenkede fil.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Suffikset for sikkerhetskopierte filer er «~», med mindre du velger noe annet med --suffix eller SIMPLE_BACKUP_SUFFIX. Metoden for versjonskontroll kan velges med --backup eller via miljøvariabelen VERSION_CONTROL. Følgende verdier er gyldige:

none, off
    ikke lag sikkerhetskopier (ikke engang med --backup)

numbered, t
    lag nummererte sikkerhetskopier

existing, nil
    nummererte sikkerhetskopier hvis det allerede finnes, enkle (simple) ellers

simple, never
    alltid lag enkle sikkerhetskopier

Ved bruk av -s ignoreres evt. valgene -L og -P. Ellers, når MÅL er en symbolsk lenke, kjører programmet i henhold til sist brukte valg med -P som standard.

FORFATTER
Skrevet av Mike Parker og David MacKenzie.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2026 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
link(2), symlink(2)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/ln>
eller lokalt: info '(coreutils) ln invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.